Bug 121204 - dm_crypt needs a mount-like interface
dm_crypt needs a mount-like interface
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cryptsetup (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 19:14 EDT by W. Michael Petullo
Modified: 2014-03-16 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 00:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bash script that implements mount.crypt. (2.70 KB, text/plain)
2004-04-18 19:18 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2004-04-18 19:14:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
The cryptsetup package should provide a mount-like interface to
dm_crypt.  In its current form, cryptsetup requires special code in
projects like pam_mount to handle encrypted filesystems.  If there
existed a mount-like interface to dm_crypt, call it mount.crypt, then
dm_crypt volumes could be supported by existing utilities almost for
free.  This would also be more similar to existing cryptoloop-based
solutions that generally modify util-linux's mount and losetup commands.

Here is an example of mount.crypt's use:

mount.crypt -o loop /home/user/fs.img /home/user/efs 

Version-Release number of selected component (if applicable):
cryptsetup-0.1-0.1

How reproducible:
Always

Steps to Reproduce:
Note that the cryptsetup command does not fit in nicely with mount,
mount.cifs, etc.
    

Additional info:
Comment 1 W. Michael Petullo 2004-04-18 19:18:28 EDT
Created attachment 99521 [details]
Bash script that implements mount.crypt.

This script could be worked into a finished product or reimplemented in another
language.  It is meant to serve as a prototype to illustrate my request. 
Handling  dm_crypt device removal on unmounting a volume is not yet performed.
Comment 2 Bill Nottingham 2004-04-19 00:49:26 EDT
Please report this to the upstream cryptsetup maintainer.
Comment 3 James Ralston 2004-04-20 01:48:31 EDT
Mike, Christophe is already working on this; he plans to integrate
losetup-like functionality directly into cryptsetup so that losetup
doesn't have to be run as a separate step.

I suggest you hop on the dm-crypt mailing list and let him know that
you're really interested in that functionality; it may help him
prioritize the work he has planned for cryptsetup...
Comment 4 W. Michael Petullo 2004-08-11 17:47:21 EDT
See also bug 56698, especially comment 43.

Note You need to log in before you can comment on or make changes to this bug.